# Uses of Interface
org.eclipse.birt.chart.script.IExternalContext

Packages that use IExternalContext
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.script

## Uses of IExternalContext in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory with parameters of type IExternalContext
Modifier and Type
Method
Description
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.
`RunTimeContext`
Generator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, Locale locale)`
Deprecated.
use `Generator.prepare(Chart, IExternalContext, IScriptClassLoader, ULocale)` instead.
`RunTimeContext`
IGenerator.`prepare(Chart model, IExternalContext externalContext, IScriptClassLoader iscl, com.ibm.icu.util.ULocale locale)`
Since v2, it must be called before build( ), and should only be called once per design model.

## Uses of IExternalContext in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script that return IExternalContext
Modifier and Type
Method
Description
`IExternalContext`
AbstractScriptContext.`getExternalContext()`
`IExternalContext`
IScriptContext.`getExternalContext()`
Methods in org.eclipse.birt.chart.script with parameters of type IExternalContext
Modifier and Type
Method
Description
`void`
AbstractScriptContext.`setExternalContext(IExternalContext externalContext)`